Subject: Re: bug#50959: 28.0.50; Shorthand symbols are unknown to Emacs

From: Phil Sainty <[email-masked]>
Date: Sun, 03 Oct 2021 00:53:55 +1300

Hi João,

On 2021-10-03 00:02, João Távora wrote:
> In other words, Phil, if you wish me to do anything about this bug, you
> must explain exactly what you are doing and what you expect.  What does
> it mean precisely for "Emacs to recognise the shorthand symbols
> generally".  Currently it "recognizes" them when the buffer where they
> are setup is current.

I'm just the messenger on this occasion.  I was describing to Eli how
shorthands exhibit the exact same problem that was objectionable in the
"nameless" approach, and he asked me to raise it as a bug.

I think that the shorthand symbols will need to be interned to avoid
this (or at least I can't think of any other solution which avoids the
problem).  Perhaps define them as aliases -- or even obsolete aliases,
if the long-term preference is for other libraries to migrate from s-*
and the likes to using the proper names?

-Phil